Skip to main content
POST
/
v1
/
tags
/
batch-delete
Batch delete tags
curl --request POST \
  --url https://api.prod.getdex.com/v1/tags/batch-delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tagIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "deleteAll": true
}
'
{
  "error": true,
  "data": {
    "count": 123,
    "tag_ids": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ]
  }
}

Use cases

  • Bulk clean up unused or duplicate tags
  • Remove a set of tags as part of a reorganization
  • Delete imported tags that are no longer needed
This permanently deletes the specified tags and removes them from all associated contacts.

Authorizations

Authorization
string
header
required

Use your Dex API key (e.g. dex_abc123...) as the Bearer token.

Body

application/json
tagIds
string<uuid>[]
deleteAll
boolean

Response

Successful response

error
boolean
required
data
object
required